#ifndef T_IOT_901_CONVOYOR_WAREHOUSEGUI_H
#define T_IOT_901_CONVOYOR_WAREHOUSEGUI_H


#include <vector>
#include "GUIScreen.h"

namespace gui {
    class WarehouseGUI {
    public:
        WarehouseGUI();
        ~WarehouseGUI();
        int addScreens(AGUIScreen* screen);
        int removeScreens(AGUIScreen* screen);
        int removeScreens(int index);
        int removeScreens(const char *name);
        int changeCurrentScreen(const char* name);
        int changeCurrentScreen(int index);
        std::vector<AGUIScreen*> getAllScreens();
        AGUIScreen* getCurrentScreen();
        int setup();
        int update();
    private:
        std::vector<AGUIScreen*> screens;
        AGUIScreen *current_screen{nullptr};
    };
}  // namespace gui

#endif //T_IOT_901_CONVOYOR_WAREHOUSEGUI_H
